
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef MTI_SCAN_H
#define MTI_SCAN_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/pomTclservClientDecode.h"

#include "server/tclservClient/genBasicTclservClientDecode.h"


/* Structures du module */
#include "server/MTIPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
int scan_buf_struct_MTI_SEPOS_POSTER_STR (char** buf, struct MTI_SEPOS_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_MTI_MTI_INFO_POSTER_STR (char** buf, struct MTI_MTI_INFO_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_INERTIAL_STR (char** buf, struct INERTIAL_STR *x, int nDim, int *dims );
int scan_buf_struct_MTI_TRIGGER (char** buf, struct MTI_TRIGGER *x, int nDim, int *dims );
int scan_buf_struct_MTI_BIASES (char** buf, struct MTI_BIASES *x, int nDim, int *dims );
int scan_buf_struct_AVERAGING_PARAMETERS (char** buf, struct AVERAGING_PARAMETERS *x, int nDim, int *dims );
int scan_buf_struct_INERTIAL_DATA (char** buf, struct INERTIAL_DATA *x, int nDim, int *dims );
int scan_buf_struct_INERTIAL_CONFIG (char** buf, struct INERTIAL_CONFIG *x, int nDim, int *dims );
int scan_buf_struct_INERTIAL_DEVICE (char** buf, struct INERTIAL_DEVICE *x, int nDim, int *dims );
int scan_buf_enum_SyncOutPulsePolarity (char** buf, enum SyncOutPulsePolarity *x, int nDim, int *dims );
int scan_buf_enum_SyncOutMode (char** buf, enum SyncOutMode *x, int nDim, int *dims );
int scan_buf_enum_OutputFormat (char** buf, enum OutputFormat *x, int nDim, int *dims );
int scan_buf_enum_OutputMode (char** buf, enum OutputMode *x, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

int scan_buf_OutputMode (char** buf, OutputMode *x, int nDim, int *dims );
int scan_buf_OutputFormat (char** buf, OutputFormat *x, int nDim, int *dims );
int scan_buf_SyncOutMode (char** buf, SyncOutMode *x, int nDim, int *dims );
int scan_buf_SyncOutPulsePolarity (char** buf, SyncOutPulsePolarity *x, int nDim, int *dims );
int scan_buf_INERTIAL_DEVICE (char** buf, INERTIAL_DEVICE *x, int nDim, int *dims );
int scan_buf_INERTIAL_CONFIG (char** buf, INERTIAL_CONFIG *x, int nDim, int *dims );
int scan_buf_INERTIAL_DATA (char** buf, INERTIAL_DATA *x, int nDim, int *dims );
int scan_buf_AVERAGING_PARAMETERS (char** buf, AVERAGING_PARAMETERS *x, int nDim, int *dims );
int scan_buf_MTI_BIASES (char** buf, MTI_BIASES *x, int nDim, int *dims );
int scan_buf_MTI_TRIGGER (char** buf, MTI_TRIGGER *x, int nDim, int *dims );
int scan_buf_INERTIAL_STR (char** buf, INERTIAL_STR *x, int nDim, int *dims );
int scan_buf_MTI_MTI_INFO_POSTER_STR (char** buf, MTI_MTI_INFO_POSTER_STR *x, int nDim, int *dims );
int scan_buf_MTI_SEPOS_POSTER_STR (char** buf, MTI_SEPOS_POSTER_STR *x, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* MTI_SCAN_H */

