/* 
 * Copyright (c) 1993-2010 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef MTI_PRINT_H
#define MTI_PRINT_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/pomTclservClientEncode.h"

#include "server/tclservClient/genBasicTclservClientEncode.h"


#include "server/MTIPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
void buf_add_struct_MTI_SEPOS_POSTER_STR ( buf_t buf, struct MTI_SEPOS_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_MTI_MTI_INFO_POSTER_STR ( buf_t buf, struct MTI_MTI_INFO_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_INERTIAL_STR ( buf_t buf, struct INERTIAL_STR *x, int nDim, int *dims);
void buf_add_struct_MTI_TRIGGER ( buf_t buf, struct MTI_TRIGGER *x, int nDim, int *dims);
void buf_add_struct_MTI_BIASES ( buf_t buf, struct MTI_BIASES *x, int nDim, int *dims);
void buf_add_struct_AVERAGING_PARAMETERS ( buf_t buf, struct AVERAGING_PARAMETERS *x, int nDim, int *dims);
void buf_add_struct_INERTIAL_DATA ( buf_t buf, struct INERTIAL_DATA *x, int nDim, int *dims);
void buf_add_struct_INERTIAL_CONFIG ( buf_t buf, struct INERTIAL_CONFIG *x, int nDim, int *dims);
void buf_add_struct_INERTIAL_DEVICE ( buf_t buf, struct INERTIAL_DEVICE *x, int nDim, int *dims);
void buf_add_enum_SyncOutPulsePolarity ( buf_t buf, enum SyncOutPulsePolarity *x, int nDim, int *dims);
void buf_add_enum_SyncOutMode ( buf_t buf, enum SyncOutMode *x, int nDim, int *dims);
void buf_add_enum_OutputFormat ( buf_t buf, enum OutputFormat *x, int nDim, int *dims);
void buf_add_enum_OutputMode ( buf_t buf, enum OutputMode *x, int nDim, int *dims);

/* ======================== PRINT DES TYPEDEF ============================= */

void buf_add_OutputMode ( buf_t buf, OutputMode *x, int nDim, int *dims);
void buf_add_OutputFormat ( buf_t buf, OutputFormat *x, int nDim, int *dims);
void buf_add_SyncOutMode ( buf_t buf, SyncOutMode *x, int nDim, int *dims);
void buf_add_SyncOutPulsePolarity ( buf_t buf, SyncOutPulsePolarity *x, int nDim, int *dims);
void buf_add_INERTIAL_DEVICE ( buf_t buf, INERTIAL_DEVICE *x, int nDim, int *dims);
void buf_add_INERTIAL_CONFIG ( buf_t buf, INERTIAL_CONFIG *x, int nDim, int *dims);
void buf_add_INERTIAL_DATA ( buf_t buf, INERTIAL_DATA *x, int nDim, int *dims);
void buf_add_AVERAGING_PARAMETERS ( buf_t buf, AVERAGING_PARAMETERS *x, int nDim, int *dims);
void buf_add_MTI_BIASES ( buf_t buf, MTI_BIASES *x, int nDim, int *dims);
void buf_add_MTI_TRIGGER ( buf_t buf, MTI_TRIGGER *x, int nDim, int *dims);
void buf_add_INERTIAL_STR ( buf_t buf, INERTIAL_STR *x, int nDim, int *dims);
void buf_add_MTI_MTI_INFO_POSTER_STR ( buf_t buf, MTI_MTI_INFO_POSTER_STR *x, int nDim, int *dims);
void buf_add_MTI_SEPOS_POSTER_STR ( buf_t buf, MTI_SEPOS_POSTER_STR *x, int nDim, int *dims);
#ifdef __cplusplus
}
#endif

#endif /* MTI_TCLSERV_CLIENT_ENCODE_H */

